package com.zcloud.service.bus;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface CheckRecordService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**清单逾期检查记录数
	 * @param pd
	 * @throws Exception
	 */
	public int countOverTime(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;




	/**节假日分页
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listAllList(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**列表(全部未完成的)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllUnfinished(PageData pd)throws Exception;
	/**通过清单ID获取风险点数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findRiskPointByLId(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;


	/* 统计功能 */
	public List<PageData> listCountDay(PageData pd)throws Exception;/* 统计日 */
	public List<PageData> listCountWeek(PageData pd)throws Exception;/* 统计周 */
	public List<PageData> listCountTenDays(PageData pd)throws Exception;/* 统计旬 */
	public List<PageData> listCountMonth(PageData pd)throws Exception;/* 统计功月 */
	public List<PageData> listCountQuarter(PageData pd)throws Exception;/* 统计季 */
	public List<PageData> listCountHalfYear(PageData pd)throws Exception;/* 统计半年 */
	public List<PageData> listCountYear(PageData pd)throws Exception;/* 统计年 */
	public Integer listCountJjr(PageData pd)throws Exception;/* 统计节假日 */

	/**修改统计状态
	 * @param pd
	 * @throws Exception
	 */
	public void editStatistics(PageData pd)throws Exception;

	/**
	 * 查询辨识部位检查记录
	 * @param pd
	 * @return
	 */
	public List<PageData> listLogByIde(PageData pd)throws Exception;

	/**
	 * 指定辨识部位检查记录
	 * @param pd
	 * @return
	 */
	public List<PageData> recordByIde(PageData pd)throws Exception;

	/**补录
	 * @param pd
	 * @throws Exception
	 */
	public void recording(PageData pd)throws Exception;

	/**
	 * APP清单检查记录
	 * @param pd
	 * @return
	 */
	public List<PageData> appdatalist(PageData pd)throws Exception;

	/**删除清单检查记录（公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByCorp(PageData pd)throws Exception;

	/**检查完成率
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getCheckExamine(PageData pd)throws Exception;
}

